Bug 56827 - Kickstart installation failure
Kickstart installation failure
Status: CLOSED DUPLICATE of bug 55310
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-28 09:24 EST by Ben Klang
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-28 09:24:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Klang 2001-11-28 09:24:42 EST
Description of Problem:
While trying to install RH7.2 to my computer using the kickstart method, I
had the following failure (see attached anaconda debugging output).

I have also attached the ks.cfg that I used.  For background, the computer
is an HP LP1000R 1U rackmount SMP-capable (but UP currently) machine with
1GB of RAM.  It has a SYM53C8xx scsi card and 2 18GB SCSI disks.  The
failure occurs during the auto-partition operation.  This particular ks.cfg
was created during an install to a machine that was identical, except that
2 36GB SCSI drives were used.  However, I was only allocating a total of
6GB evenly split across both disks.

Version-Release number of selected component (if applicable):


How Reproducible:
100%

Steps to Reproduce:
1. Use the supplied ks.cfg on a RedHat bootdisk (only tested on my LP1000R.
 Both the 18GB and the 36GB models were tested.  The debug output is from
the 18GB model.)
2. Boot with the command line "linux ks=floppy.cfg"
3. Wait for the installer to die

Actual Results:
See attached anacdump.txt
Installer works perfectly when NOT run in kickstart mode.

Expected Results:
A successful kickstart installation.

Additional Information:
----------------Begin ks.cfg------------------------
# Kickstart file automatically generated by anaconda.

install
lang en_US
langsupport --default en_US en_US
keyboard us
mouse generic3ps/2 --device psaux --emulthree
skipx
rootpw --iscrypted <encryped password removed>
firewall --disabled
authconfig --enableshadow --enablemd5
timezone America/New_York
bootloader
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --all
part raid.10 --size=2048 --ondisk=sda --asprimary
part raid.8 --size=2048 --ondisk=sdb --asprimary
part raid.7 --size=1024 --asprimary
part raid.11 --size=1024 --ondisk=sdb --asprimary
raid / --fstype ext3 --level=RAID1 raid.10 raid.8
raid swap --fstype swap --level=RAID1 raid.7 raid.11

%packages
@ Network Support
@ Network Managed Workstation
@ Server
@ Utilities
pdksh
samba-client
samba-common
samba

%post
/usr/sbin/useradd Ben
chfn -f 'bklang' Ben
/usr/sbin/usermod -p '<encrypted password removed>' Ben
------------------End of ks.cfg------------------------------

------------------Begin anacdump.txt-------------------------
Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 777, in run
    self.setup_window (runres)
  File "/usr/lib/anaconda/gui.py", line 757, in setup_window
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 504, in setScreen
    (step, args) = self.dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 243, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/autopart.py", line 899, in doAutoPartition
    (errors, warnings) = sanityCheckAllRequests(partitions, diskset, 1)
  File "/usr/lib/anaconda/partitioning.py", line 595, in sanityCheckAllRequests
    swapSize = swapSize + requestSize(request, diskset)
TypeError: number coercion failed

Local variables in innermost frame:
size: 20
baseChecks: 1
requests: <partitioning.Partitions instance at 84a7768>
rc: None
slash: mountpoint: /   type: ext3   uniqueID:3
  size: NoneM   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: RAID1  raidspares: 0  raidmembers: ['raid.10', 'raid.8']
diskset: <partitioning.DiskSet instance at 84a7710>
swapSize: 0
request: mountpoint: None   type: swap   uniqueID:4
  size: NoneM   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: RAID1  raidspares: 0  raidmembers: ['raid.7', 'raid.11']
req: None
mount: /boot
warnings: []
errors: []
foundSwap: 1
checkSizes: [('/usr', 250), ('/tmp', 50), ('/var', 50), ('/home', 100),
('/boot', 20)]


Dispatcher instance, containing members:
skipSteps: {'writexconfig': 1, 'reconfigwelcome': 1, 'language': 1,
'fdisk': 1, 'firewall': 1, 'findpackages': 1, 'handleX11pkgs': 1,
'authentication': 1, 'package-selection': 1, 'bootdisk': 1, 'videocard': 1,
'autopartition': 1, 'findinstall': 1, 'partition': 1,
'upgradeswapsuggestion': 1, 'reconfigkeyboard': 1, 'network': 1,
'findrootparts': 1, 'upgradecontinue': 1, 'confirminstall': 1,
'bootloader': 1, 'mouse': 1, 'addswap': 1, 'indivpackage': 1, 'timezone':
1, 'partitionmethod': 1, 'keyboard': 1, 'makebootdisk': 1, 'accounts': 1,
'installtype': 1, 'xcustom': 1, 'partitionmethodsetup': 1, 'upgrademount':
1, 'languagesupport': 1, 'welcome': 1, 'confirmupgrade': 1,
'reconfigcomplete': 1, 'upgrademigratefs': 1, 'bootloaderpassword': 1,
'monitor': 1, 'upgrademigfind': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red
Hat Linux Beta}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: [English (USA)]
    langNicks: None
    default: English (USA)
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01',
'lat0-sun16'), 'Spanish (Argentina)': ('es_AR', 'iso01', 'lat0-sun16'),
'Italian (Italy)': ('it_IT@euro', 'iso15', 'lat0-sun16'), 'Arabic
(Lebanon)': ('ar_LB', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Guatemala)':
('es_GT', 'iso01', 'lat0-sun16'), 'Malay (Malaysia)': ('ms_MY', 'iso01',
'lat0-sun16'), 'Arabic (Libyan Arab Jamahiriya)': ('ar_LY', 'iso06',
'LatArCyrHeb-16'), 'Arabic (Oman)': ('ar_OM', 'iso06', 'LatArCyrHeb-16'),
'Arabic (Iraq)': ('ar_IQ', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Kuwait)':
('ar_KW', 'iso06', 'LatArCyrHeb-16'), 'English (South Africa)': ('en_ZA',
'iso01', 'lat0-sun16'), 'French (Switzerland)': ('fr_CH', 'iso01',
'lat0-sun16'), 'Arabic (Bahrein)': ('ar_BH', 'iso06', 'LatArCyrHeb-16'),
'Croatian': ('hr_HR', 'iso02', 'lat2-sun16'), 'French (France)':
('fr_FR@euro', 'iso15', 'lat0-sun16'), 'Greenlandic (Greenland)': ('kl_GL',
'iso01', 'lat0-sun16'), 'Korean (Republic of Korea)': ('ko_KR.eucKR',
'iso01', 'lat0-sun16'), 'Ukrainian': ('uk_UA', 'koi8-u', 'cyr-sun16'),
'Spanish (Mexico)': ('es_MX', 'iso01', 'lat0-sun16'), 'Greek': ('el_GR',
'iso07', 'iso07.16'), 'Spanish (El Salvador)': ('es_SV', 'iso01',
'lat0-sun16'), 'Spanish (Peru)': ('es_PE', 'iso01', 'lat0-sun16'), 'Spanish
(Honduras)': ('es_HN', 'iso01', 'lat0-sun16'), 'Spanish (Costa Rica)':
('es_CR', 'iso01', 'lat0-sun16'), 'English (Denmark)': ('en_DK', 'iso01',
'lat0-sun16'), 'Dutch (Netherlands)': ('nl_NL@euro', 'iso15',
'lat0-sun16'), 'Serbian (Yugoslavia)': ('sr_YU@cyrillic', 'iso05',
'cyr-sun16'), 'Bosnian (Bosnia and Herzegowina)': ('bs_BA', 'iso02',
'lat2-sun16'), 'Russian (Ukraine)': ('ru_UA', 'koi8-u', 'cyr-sun16'),
'Portuguese (Portugal)': ('pt_PT@euro', 'iso15', 'lat0-sun16'), 'Afrikaans
(South Africa)': ('af_ZA', 'iso01', 'lat0-sun16'), 'Norwegian': ('no_NO',
'iso01', 'lat0-sun16'), 'Arabic (Morocco)': ('ar_MA', 'iso06',
'LatArCyrHeb-16'), 'English (Philippines)': ('en_PH', 'iso01',
'lat0-sun16'), 'Arabic (Algeria)': ('ar_DZ', 'iso06', 'LatArCyrHeb-16'),
'Indonesian': ('id_ID', 'iso01', 'lat0-sun16'), 'Danish': ('da_DK',
'iso01', 'lat0-sun16'), 'Chinese (Taiwan R.O.C.)': ('zh_TW.Big5', 'iso01',
'lat0-sun16'), 'Faroese (Faroe Islands)': ('fo_FO', 'iso01', 'lat0-sun16'),
'Galician (Spain)': ('gl_ES@euro', 'iso15', 'lat0-sun16'), 'English (New
Zealand)': ('en_NZ', 'iso01', 'lat0-sun16'), 'Spanish (Bolivia)': ('es_BO',
'iso01', 'lat0-sun16'), 'Cornish (Britain)': ('kw_GB', 'iso01',
'lat0-sun16'), 'Arabic (United Arab Emirates)': ('ar_AE', 'iso06',
'LatArCyrHeb-16'), 'Spanish (Nicaragua)': ('es_NI', 'iso01', 'lat0-sun16'),
'German (Austria)': ('de_AT@euro', 'iso15', 'lat0-sun16'), 'Romanian':
('ro_RO', 'iso02', 'lat2-sun16'), 'Spanish (Paraguay)': ('es_PY', 'iso01',
'lat0-sun16'), 'Hebrew (Israel)': ('he_IL', 'iso08', 'LatArCyrHeb-16'),
'German (Luxemburg)': ('de_LU@euro', 'iso15', 'lat0-sun16'), 'Spanish
(USA)': ('es_US', 'iso01', 'lat0-sun16'), 'Portuguese (Brasil)': ('pt_BR',
'iso01', 'lat0-sun16'), 'Spanish (Equador)': ('es_EC', 'iso01',
'lat0-sun16'), 'Polish': ('pl_PL', 'iso02', 'lat2-sun16'), 'Slovak':
('sk_SK', 'iso02', 'lat2-sun16'), 'Macedonian': ('mk_MK', 'iso05',
'cyr-sun16'), 'Spanish (Spain)': ('es_ES@euro', 'iso15', 'lat0-sun16'),
'Spanish (Chile)': ('es_CL', 'iso01', 'lat0-sun16'), 'Arabic (Syrian Arab
Republic)': ('ar_SY', 'iso06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ',
'iso02', 'lat2-sun16'), 'Irish': ('ga_IE@euro', 'iso15', 'lat0-sun16'),
'Arabic (Jordan)': ('ar_JO', 'iso06', 'LatArCyrHeb-16'), 'Italian
(Switzerland)': ('it_CH', 'iso01', 'lat0-sun16'), 'German (Belgium)':
('de_BE@euro', 'iso15', 'lat0-sun16'), 'Albanian': ('sq_AL', 'iso01',
'lat0-sun16'), 'Occitan (France)': ('oc_FR', 'iso01', 'lat0-sun16'),
'Finnish': ('fi_FI@euro', 'iso15', 'lat0-sun16'), 'Swedish (Sweden)':
('sv_SE', 'iso01', 'lat0-sun16'), 'English (Singapore)': ('en_SG', 'iso01',
'lat0-sun16'), 'Dutch (Belgium)': ('nl_BE@euro', 'iso15', 'lat0-sun16'),
'Spanish (Panama)': ('es_PA', 'iso01', 'lat0-sun16'), 'Spanish
(Venezuela)': ('es_VE', 'iso01', 'lat0-sun16'), 'English (Great Britain)':
('en_GB', 'iso01', 'lat0-sun16'), 'Russian': ('ru_RU.koi8r', 'koi8-u',
'cyr-sun16'), 'Norwegian, Nynorsk (Norway)': ('nn_NO', 'iso01',
'lat0-sun16'), 'English (Zimbabwe)': ('en_ZW', 'iso01', 'lat0-sun16'),
'English (USA)': ('en_US', 'iso01', 'lat0-sun16'), 'Tagalog (Philipines)':
('tl_PH', 'iso01', 'lat0-sun16'), 'Breton (France)': ('br_FR', 'iso01',
'lat0-sun16'), 'Chinese (P.R. of China)': ('zh_CN.GB2312', 'iso01',
'lat0-sun16'), 'Arabic (Yemen)': ('ar_YE', 'iso06', 'LatArCyrHeb-16'),
'Basque (Spain)': ('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)':
('ar_QA', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': ('ar_EG', 'iso06',
'LatArCyrHeb-16'), 'French (Belgium)': ('fr_BE@euro', 'iso15',
'lat0-sun16'), 'English (Ireland)': ('en_IE@euro', 'iso15', 'lat0-sun16'),
'Hungarian': ('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic (Tunisia)':
('ar_TN', 'iso06', 'LatArCyrHeb-16'), 'French (Luxemburg)': ('fr_LU@euro',
'iso15', 'lat0-sun16'), 'Japanese': ('ja_JP.eucJP', 'iso01', 'lat0-sun16'),
'Uzbek (Uzbekistan)': ('uz_UZ', 'iso01', 'lat0-sun16'), 'Swedish
(Finland)': ('sv_FI@euro', 'iso15', 'lat0-sun16'), 'Arabic (Saudi Arabia)':
('ar_SA', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Dominican Republic)':
('es_DO', 'iso01', 'lat0-sun16'), 'French (Canada)': ('fr_CA', 'iso01',
'lat0-sun16'), 'English (Canada)': ('en_CA', 'iso01', 'lat0-sun16'),
'German (Germany)': ('de_DE@euro', 'iso15', 'lat0-sun16'), 'Slovenian
(Slovenia)': ('sl_SI', 'iso02', 'lat2-sun16'), 'Spanish (Uruguay)':
('es_UY', 'iso01', 'lat0-sun16'), 'German (Switzerland)': ('de_CH',
'iso01', 'lat0-sun16'), 'English (Hong Kong)': ('en_HK', 'iso01',
'lat0-sun16'), 'English (Australia)': ('en_AU', 'iso01', 'lat0-sun16'),
'Catalan (Spain)': ('ca_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Puerto
Rico)': ('es_PR', 'iso01', 'lat0-sun16'), 'Turkish': ('tr_TR', 'iso09',
'lat5-sun16'), 'Estonian': ('et_EE', 'iso01', 'lat0-sun16'), 'Arabic
(Sudan)': ('ar_SD', 'iso06', 'LatArCyrHeb-16'), 'Icelandic': ('is_IS',
'iso01', 'lat0-sun16'), 'English (Botswana)': ('en_BW', 'iso01',
'lat0-sun16'), 'Manx Gaelic (Britain)': ('gv_GB', 'iso01', 'lat0-sun16')}
    info: {'SYSFONT': lat0-sun16, 'SUPPORTED': en_US:en, 'SYSFONTACM':
iso01, 'LANG': en_US}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'sdb': <PedDisk object at 8478760>, 'sda': <PedDisk object at
8478548>}
  tmpData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red
Hat Linux Beta}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': it, 'Korean': us, 'Russian': ru, 'English': us,
'Norwegian': no-latin1, 'Swedish': se-latin1, 'French': fr-latin1,
'Japanese': jp106, 'Slovenian': slovene, 'Czech': cz-lat2, 'Ukrainian': ua,
'Spanish': es, 'German': de-latin1-nodeadkeys, 'Danish': us, 'Icelandic':
is-latin1}
    font: {'Italian': lat0-sun16, 'Korean': None, 'Russian': cyr-sun16,
'English': default8x16, 'Norwegian': lat0-sun16, 'Swedish': lat0-sun16,
'French': lat0-sun16, 'Japanese': Kon, 'Slovenian': lat2-sun16, 'Czech':
lat2-sun16, 'Ukrainian': cyr-sun16, 'Spanish': lat0-sun16, 'German':
lat0-16, 'Danish': lat0-sun16, 'Icelandic': lat0-sun16}
    langNicks: {'Italian': it_IT, 'Korean': ko_KR.eucKR, 'Russian':
ru_RU.koi8r, 'English': en_US, 'Norwegian': no_NO, 'Swedish': sv_SE,
'French': fr_FR, 'Japanese': ja_JP.eucJP, 'Slovenian': sl_SI, 'Czech':
cs_CZ, 'Ukrainian': uk_UA, 'Spanish': es_ES, 'German': de_DE, 'Danish':
da_DK, 'Icelandic': is_IS}
    langList: [Czech, Danish, English, French, German, Icelandic, Italian,
Japanese, Korean, Norwegian, Russian, Slovenian, Spanish, Swedish, Ukrainian]
    tz: {'Italian': Europe/Rome, 'Korean': Asia/Seoul, 'Russian':
Europe/Moscow, 'English': America/New_York, 'Norwegian': Europe/Oslo,
'Swedish': Europe/Stockholm, 'French': Europe/Paris, 'Japanese':
Asia/Tokyo, 'Slovenian': Europe/Ljubljana, 'Czech': Europe/Prague,
'Ukrainian': Europe/Kiev, 'Spanish': Europe/Madrid, 'German':
Europe/Berlin, 'Danish': Europe/Copenhagen, 'Icelandic': Atlantic/Reykjavik}
    tempDefault: 
    map: {'Italian': iso15, 'Korean': None, 'Russian': koi8-r, 'English':
iso01, 'Norwegian': iso15, 'Swedish': iso15, 'French': iso15, 'Japanese':
None, 'Slovenian': iso02, 'Czech': iso02, 'Ukrainian': koi8-u, 'Spanish':
iso15, 'German': iso09, 'Danish': iso15, 'Icelandic': iso15}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {}
  videocard: primary: 0
vidCards: [<videocard.VideoCard instance at 82613f8>]
Primary Video Card Info:
device: fb0
descr : ATI|Rage XL
server: XFree86
cardManf: ATI MACH64
vidRam: 4096
carddata: {'SERVER': 'Mach64', 'NAME': 'ATI Mach64', 'DRIVER': 'ati',
'NOCLOCKPROBE': '', 'CHIPSET': 'ati', 'VENDOR': 'ATI MACH64'}
devID: ATI Mach64
fbmodes: None
fbbpp: None

  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: us
    manualModes: {'16': ['800x600']}
    mouse: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="no"
XMOUSETYPE="PS/2"

    monlist: {}
    keyRules: xfree86
    keyModel: pc105
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant: 
    videocard: FrameBufferCard instance, containing members:
      server: None
      cardManf: None
      devID: None
      probedcard: None
      vidRam: None
      device: None
      fbmodes: None
      descr: None
      fbbpp: None
      cardData: None
    keyOptions: 
    modes: {'16': ['800x600']}
    res: 800x600
    monitor: monEisa: pgs016a
monName: Princeton Ultra 75e
monID: Princeton Ultra 75e
fbmonSect: Section "Monitor"
    Identifier  "Probed Monitor"
    VendorName  "Unknown"
    ModelName   "Unknown"
    HorizSync   46.876
    VertRefresh 75.121
    ModeLine    "800x600" 48.002 800 832 928 1024 600 604 608 624 -HSync -VSync
EndSection

monHoriz: 30.0-72.0
monVert: 47.0-160.0

    skipx: 1
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 0
  instClass: KickstartBase instance, containing members:
    preScripts: []
    clearType: svr
    id: Already dumped
    serial: 0
    file: /tmp/ks.cfg
    interactive: 0
    installType: install
    earlySwapOn: 1
    skipSteps: [language, languagesupport, keyboard, mouse, videocard,
monitor, xcustom, handleX11pkgs, writexconfig, accounts, authentication,
timezone, bootloader, bootloaderpassword, partition, partitionmethod,
partitionmethodsetup, fdisk, autopartition, partition, partitionmethod,
partitionmethodsetup, fdisk, autopartition, partition, partitionmethod,
partitionmethodsetup, fdisk, autopartition, partition, partitionmethod,
partitionmethodsetup, fdisk, autopartition]
    excludedList: []
    postScripts: [(s: '/usr/sbin/useradd Ben|chfn -f 'bklang'
Ben|/usr/sbin/usermod -p '$1$.eh5W8fx$GIaom2cpydxFYQW.zn8.9.' Ben||' i:
/bin/sh c: 1)
]
    clearPartText: None
    packageList: [pdksh, samba-client, samba-common, samba]
    groupList: [Network Support, Network Managed Workstation, Server,
Utilities]
  partitions: Partitions instance, containing members:
    deletes: []
    reinitializeDisks: 0
    autoPartitionRequests: [mountpoint: None   type: software RAID  
uniqueID:raid.10
  size: 2048M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['sda']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: software RAID   uniqueID:raid.8
  size: 2048M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['sdb']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: software RAID   uniqueID:raid.7
  size: 1024M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: software RAID   uniqueID:raid.11
  size: 1024M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['sdb']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /   type: ext3   uniqueID:None
  size: NoneM   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: RAID1  raidspares: 0  raidmembers: ['raid.10', 'raid.8']
, mountpoint: None   type: swap   uniqueID:None
  size: NoneM   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: RAID1  raidspares: 0  raidmembers: ['raid.7', 'raid.11']
]
    nextUniqueID: 5
    zeroMbr: 0
    autoClearPartType: 2
    requests: [mountpoint: None   type: software RAID   uniqueID:raid.10
  size: 2048M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['sda']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:1
  size: 17365.984375M   requestSize: 17365.984375M  grow: 0   max: None
  start: 32L   end: 35565567L   partnum: None
  drive: sda   primary: None  
  format: None, options: None  device: sda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:2
  size: 17365.984375M   requestSize: 17365.984375M  grow: 0   max: None
  start: 32L   end: 35565567L   partnum: None
  drive: sdb   primary: None  
  format: None, options: None  device: sdb-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: software RAID   uniqueID:raid.8
  size: 2048M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['sdb']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: software RAID   uniqueID:raid.7
  size: 1024M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /   type: ext3   uniqueID:3
  size: NoneM   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: RAID1  raidspares: 0  raidmembers: ['raid.10', 'raid.8']
, mountpoint: None   type: software RAID   uniqueID:raid.11
  size: 1024M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['sdb']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: swap   uniqueID:4
  size: NoneM   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: RAID1  raidspares: 0  raidmembers: ['raid.7', 'raid.11']
]
    autoClearPartDrives: None
    useFdisk: 0
    useAutopartitioning: 1
  extraModules: []
  mouse: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="yes"
XMOUSETYPE="PS/2"

  bootloader: x86BootloaderInfo instance, containing members:
    useGrubVal: 1
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {}
      default: None
    pure: None
    device: None
    configfile: /etc/lilo.conf
    above1024: 0
    kernelLocation: /boot/
    args: KernelArguments instance, containing members:
      args: 
    defaultDevice: 0
    useLinear: 1
  timezone: Timezone instance, containing members:
    dst: 0
    tz: America/New_York
    arc: 0
    utcOffset: 0
    utc: 0
  keyboard: Keyboard instance, containing members:
    beenset: 1
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
  accounts: None
  dependencies: []
  comps: None
  upgradeRoot: None
  auth: Authentication instance, containing members:
    useNIS: 0
    nisServer: 
    useLdap: 0
    krb5Kdc: 
    useHesiod: 0
    ldapServer: 
    hesiodRhs: 
    useLdapauth: 0
    enableCache: 0
    krb5Admin: 
    ldapBasedn: 
    useSamba: 0
    krb5Realm: 
    useMD5: 1
    ldapTLS: 
    sambaWorkgroup: 
    nisDomain: 
    sambaServer: 
    useShadow: 1
    nisuseBroadcast: 0
    useKrb5: 0
    hesiodLhs: 
  upgradeDeps: 
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 0
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: 0
    portlist: 
    http: 0
    ftp: 0
  dbpath: None
  network: Network instance, containing members:
    netdevices: {}
    gateway: 
    secondaryNS: 
    hostname: localhost.localdomain
    primaryNS: 
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS: 
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 0
    entries: [FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: gid=5,mode=620
      order: 0
      mountpoint: /dev/pts
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: DevptsFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: gid=5,mode=620
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: devpts
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: defaults
      order: 0
      mountpoint: /proc
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: ProcFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: proc
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
]
    progressWindow: <method InstallInterface.progressWindow of
InstallInterface instance at 851b9e8>
    waitWindow: <method InstallInterface.waitWindow of InstallInterface
instance at 851b9e8>
    messageWindow: <method InstallInterface.messageWindow of
InstallInterface instance at 851b9e8>
  hdList: None
firstStep: 0
method: CdromInstallMethod instance, containing members:
  progressWindow: <method InstallInterface.progressWindow of
InstallInterface instance at 851b9e8>
  device: hda
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instance at 851b9e8>
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'expert': 0, 'setupFilesystems': 1, 'serial': 0,
'reconfig': 0, 'test': 0}
intf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red
Hat Linux Beta}
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8184ae0>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 84bd818>
    window: GtkWindow instance, containing members:
      _o: <GtkObject of type GtkWindow at 823c388>
    prevButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8184a08>
    helpFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84bee58>
    box: GtkVBox instance, containing members:
      _o: <GtkObject of type GtkVBox at 84bef40>
    hbox: GtkHBox instance, containing members:
      _o: <GtkObject of type GtkHBox at 84bc578>
    releaseButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8184a98>
    windowList: []
    installFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 8236b68>
    ii: Already dumped
    reloadRcQueued: 0
    dispatch: Already dumped
    nextButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8184a50>
    hideHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8184b28>
    buttonBox: GtkHButtonBox instance, containing members:
      _o: <GtkObject of type GtkHButtonBox at 817d8a0>
    handle: None
    stockButtons: [('Button_Prev', 'prevButtonStock', 'Back', <method
InstallControlWindow.prevClicked of InstallControlWindow instance at
84a35c8>), ('Button_Next', 'nextButtonStock', 'Next', <method
InstallControlWindow.nextClicked of InstallControlWindow instance at
84a35c8>), ('Button_Help', 'releaseButton', 'Release Notes', <method
InstallControlWindow.releaseClicked of InstallControlWindow instance at
84a35c8>), ('Button_Help', 'showHelpButton', 'Show Help', <method
InstallControlWindow.helpClicked of InstallControlWindow instance at
84a35c8>), ('Button_Help', 'hideHelpButton', 'Hide Help', <method
InstallControlWindow.helpClicked of InstallControlWindow instance at 84a35c8>)]
    displayHelp: 1
step: 13
dispatch: Already dumped


/tmp/syslog:
<4>Linux version 2.4.7-10BOOT (bhcompile@stripples.devel.redhat.com) (gcc
version 2.96 20000731 (Red Hat Linux 7.1 2.96-98)) #1 Thu Sep 6 16:15:00
EDT 2001
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009ec00 (usable)
<4> BIOS-e820: 000000000009ec00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000e9400 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000003fff0000 (usable)
<4> BIOS-e820: 000000003fff0000 - 000000003ffffc00 (ACPI data)
<4> BIOS-e820: 000000003ffffc00 - 0000000040000000 (ACPI NVS)
<4> BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
<4>Warning only 896MB will be used.
<4>Use a HIGHMEM enabled kernel.
<4>found SMP MP-table at 000f7580
<4>hm, page 000f7000 reserved twice.
<4>hm, page 000f8000 reserved twice.
<4>hm, page 0009f000 reserved twice.
<4>hm, page 000a0000 reserved twice.
<4>On node 0 totalpages: 229376
<4>zone(0): 4096 pages.
<4>zone(1): 225280 pages.
<4>zone(2): 0 pages.
<4>Intel MultiProcessor Specification v1.4
<4>    Virtual Wire compatibility mode.
<4>OEM ID: HP       Product ID: LP 1Kr/2Kr   APIC at: 0xFEE00000
<4>Processor #0 Pentium(tm) Pro APIC version 17
<4>I/O APIC #1 Version 17 at 0xFEC00000.
<4>I/O APIC #2 Version 17 at 0xFEC01000.
<4>Processors: 1
<4>Kernel command line: initrd=initrd.img lang= devfs=nomount
ramdisk_size=7168 vga=788 BOOT_IMAGE=vmlinuz ks=floppy
<6>Initializing CPU#0
<4>Detected 866.757 MHz processor.
<4>Console: colour dummy device 80x25
<4>Calibrating delay loop... 1730.15 BogoMIPS
<4>Memory: 895988k/917504k available (1114k kernel code, 19048k reserved,
89k data, 104k init, 0k highmem)
<4>Dentry-cache hash table entries: 131072 (order: 8, 1048576 bytes)
<4>Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
<4>Mount-cache hash table entries: 16384 (order: 5, 131072 bytes)
<4>Buffer-cache hash table entries: 65536 (order: 6, 262144 bytes)
<4>Page-cache hash table entries: 262144 (order: 9, 2097152 bytes)
<7>CPU: Before vendor init, caps: 0387fbff 00000000 00000000, vendor = 0
<6>CPU: L1 I cache: 16K, L1 D cache: 16K
<6>CPU: L2 cache: 256K
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU: After vendor init, caps: 0387fbff 00000000 00000000 00000000
<5>CPU serial number disabled.
<7>CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000
<7>CPU:             Common caps: 0383fbff 00000000 00000000 00000000
<4>CPU: Intel Pentium III (Coppermine) stepping 0a
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<4>PCI: PCI BIOS revision 2.10 entry at 0xfda11, last bus=1
<4>PCI: Using configuration type 1
<4>PCI: Probing PCI hardware
<6>PCI: Discovered primary peer bus 01 [IRQ]
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>ACPI BOOT descriptor is wrong length (39)
<6>Simple Boot Flag extension found and enabled.
<4>Starting kswapd v1.8
<6>vesafb: framebuffer at 0xfc000000, mapped to 0xf8800000, size 4096k
<6>vesafb: mode is 800x600x16, linelength=1600, pages=3
<6>vesafb: protected mode interface info at c000:4dc8
<6>vesafb: scrolling: redraw
<6>vesafb: directcolor: size=0:5:6:5, shift=0:11:5:0
<4>Console: switching to colour frame buffer device 100x37
<6>fb0: VESA VGA frame buffer device
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ
SERIAL_PCI enabled
<6>ttyS00 at 0x03f8 (irq = 4) is a 16550A
<4>block: queued sectors max/low 594616kB/463544kB, 1792 slots per queue
<4>RAMDISK driver initialized: 16 RAM disks of 7168K size 1024 blocksize
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<6>ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
<4>ServerWorks OSB4: IDE controller on PCI bus 00 dev 79
<4>ServerWorks OSB4: chipset revision 0
<4>ServerWorks OSB4: not 100% native mode: will probe irqs later
<4>    ide0: BM-DMA at 0x1880-0x1887, BIOS settings: hda:pio, hdb:pio
<4>    ide1: BM-DMA at 0x1888-0x188f, BIOS settings: hdc:pio, hdd:pio
<4>hda: CD-224E, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>hda: ATAPI 24X CD-ROM drive, 128kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<4>ide-floppy driver 0.97
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a National Semiconductor PC87306
<6>loop: loaded (max 8 devices)
<4>ide-floppy driver 0.97
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<4>md: autorun ...
<4>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<4>IP: routing cache hash table of 8192 buckets, 64Kbytes
<4>TCP: Hash tables configured (established 262144 bind 65536)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<4>Freeing initrd memory: 2046k freed
<4>VFS: Mounted root (ext2 filesystem).
<6>SCSI subsystem driver Revision: 1.00
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-ohci.c: USB OHCI at membase 0xf8c2a000, IRQ 15
<6>usb-ohci.c: usb-00:0f.2, PCI device 1166:0220
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 4 ports detected
<6>usb-ohci.c: v5.2:USB OHCI Host Controller Driver
<6>usb.c: registered new driver hid
<6>usb.c: registered new driver hiddev
<6>hid-core.c: v1.8 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>Initializing USB Mass Storage driver...
<6>usb.c: registered new driver usb-storage
<6>USB Mass Storage support registered.
<4>eepro100.c:v1.09j-t 9/29/99 Donald Becker
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html
<4>eepro100.c: $Revision: 1.36 $ 2000/11/17 Modified by Andrey V. Savochkin
<saw@saw.sw.com.sg> and others
<6>eth0: OEM i82557/i82558 10/100 Ethernet, 00:30:6E:05:DB:8E, IRQ 11.
<6>  Board assembly 721383-006, Physical connectors present: RJ45
<6>  Primary interface chip i82555 PHY #1.
<6>  General self-test: passed.
<6>  Serial sub-system self-test: passed.
<6>  Internal registers self-test: passed.
<6>  ROM checksum self-test: passed (0x04f4518b).
<6>eth1: OEM i82557/i82558 10/100 Ethernet, 00:30:6E:05:DB:8F, IRQ 10.
<6>  Board assembly 721383-006, Physical connectors present: RJ45
<6>  Primary interface chip i82555 PHY #1.
<6>  General self-test: passed.
<6>  Serial sub-system self-test: passed.
<6>  Internal registers self-test: passed.
<6>  ROM checksum self-test: passed (0x04f4518b).
<6>sym53c8xx: at PCI bus 1, device 5, function 0
<6>sym53c8xx: 53c1010-33 detected with Symbios NVRAM
<6>sym53c8xx: at PCI bus 1, device 5, function 1
<6>sym53c8xx: 53c1010-33 detected with Symbios NVRAM
<6>sym53c1010-33-0: rev 0x1 on pci bus 1 device 5 function 0 irq 11
<6>sym53c1010-33-0: Symbios format NVRAM, ID 7, Fast-80, Parity Checking
<6>sym53c1010-33-0: on-chip RAM at 0xfd000000
<6>sym53c1010-33-0: restart (scsi reset).
<6>sym53c1010-33-0: handling phase mismatch from SCRIPTS.
<4>sym53c1010-33-0: Downloading SCSI SCRIPTS.
<6>sym53c1010-33-1: rev 0x1 on pci bus 1 device 5 function 1 irq 9
<6>sym53c1010-33-1: Symbios format NVRAM, ID 7, Fast-80, Parity Checking
<6>sym53c1010-33-1: on-chip RAM at 0xfd004000
<6>sym53c1010-33-1: restart (scsi reset).
<6>sym53c1010-33-1: handling phase mismatch from SCRIPTS.
<4>sym53c1010-33-1: Downloading SCSI SCRIPTS.
<6>scsi0 : sym53c8xx-1.7.3c-20010512
<6>scsi1 : sym53c8xx-1.7.3c-20010512
<4>  Vendor: HP        Model: 18.2GB C 80-F612  Rev:     
<4>  Type:   Direct-Access                      ANSI SCSI revision: 02
<4>  Vendor: HP        Model: 18.2GB C 80-F612  Rev:     
<4>  Type:   Direct-Access                      ANSI SCSI revision: 02
<4>  Vendor: SDR       Model: GEM318            Rev: 0   
<4>  Type:   Processor                          ANSI SCSI revision: 02
<6>sym53c1010-33-0-<0,0>: tagged command queue depth set to 8
<6>sym53c1010-33-0-<1,0>: tagged command queue depth set to 8
<4>Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
<4>Attached scsi disk sdb at scsi0, channel 0, id 1, lun 0
<6>sym53c1010-33-0-<0,*>: FAST-80 WIDE SCSI 160.0 MB/s (12.5 ns, offset 62)
<4>SCSI device sda: 35566480 512-byte hdwr sectors (18210 MB)
<6>Partition check:
<6> sda:
<6>sym53c1010-33-0-<1,*>: FAST-80 WIDE SCSI 160.0 MB/s (12.5 ns, offset 62)
<4>SCSI device sdb: 35566480 512-byte hdwr sectors (18210 MB)
<6> sdb:
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  1435.600 MB/sec
<4>   32regs    :   801.600 MB/sec
<4>   pII_mmx   :  1962.000 MB/sec
<4>   p5_mmx    :  2070.000 MB/sec
<4>raid5: using function: p5_mmx (2070.000 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
---------------------End of anacdump.txt--------------------
Comment 1 Jeremy Katz 2001-11-28 15:47:41 EST

*** This bug has been marked as a duplicate of 55310 ***
Comment 2 Paul Thomas 2003-02-25 16:31:35 EST
This bug is marked as a duplicate of 55310. But the fix for that, does not
appear to fix the kickstart failure when having a languagesupport line in the ks
file. I have got the update img disk from the updates directory and the latest
bootnet.img from the updates directory, but whenever I have a languagesupport
line in the ks file, it fails as described above

The output from ananconda is:

----------- begin output --------------
Traceback (innermost last):
File "/usr/bin/anaconda", line 589, in ?
instClass.setInstallData(id)
File "/usr/lib/anaconda/kickstart.py", line 835 in readKickstart
self.readKickstart(id, self.file)
File "/usr/lib/anaconda/kickstart.py", line 556 in readKickstart
if handlers[args[0]]:
KeyError: languagesupport
install exited abnormally
---------- end of output ------------------

I have tried this on a variety of machines using ks with dhcp and nfs.
Everything works when I comment out the languagesupport line, and the install
prompts me for the languages I want. This is slightly inconvient as I would like
a completely automated install.

Here is my kickstart file:

--------------- begin kickstart file -------------
### Paul's exp Kickstart conf file
### Installation Language
lang en_US

### Installed Languages
# [is there an anaconda bug here?]
#languagesupport --default en_US fr_FR
languagesupport en_US

### Network Configuration
network --bootproto dhcp
#network --bootproto static --ip 192.168.0.10 --netmask 255.255.255.0 --gateway
192.168.0.1 --nameserver 192.168.0.2

### Source File Location
#cdrom
#nfs --server porkchop.redhat.com --dir /mnt/test/qa0301.0/i386	
nfs --server 192.168.0.2 --dir /usr/local/install

### Ethernet Device Configuration
#device ethernet wd --opts "io=0x280, irq=3" 

### Keyboard Configuration
### Will get set to 'us' by default 
### if nothing specified in /etc/sysconfig/keyboard
keyboard uk

### Partitioning Information
### Whether to clear out the Master Boot Record (yes/no)
### Which partitions to format (--linux/--all)
###      --linux - only format existing linux partitions
###      --all   - format all existing partitions
### Which partitions to set up on new system as well 
### as size of those partitions
### Specify software RAID partitions (optional)
zerombr yes
clearpart --linux
part /boot --size 35
part swap --size 128
part / --size 1000 --grow --maxsize 1400
#part raid.0 --size 80 --ondisk sda
#part raid.1 --size 80 --ondisk sdb
#raid swap raid.0 raid.1 --level 1 --device md0
install

### Perform kickstart installation in text mode
text

### Stop at each screen during the kickstart
### installation
#interactive

### Mouse Configuration
### Will only setup 3 types of mice
###     generic        - 2-button serial
###     genericps/2    - 2-button ps/2
###     msintellips/2  - MS Intellimouse
### All three can be setup with or without 3-button
### emulation
### Run 'mouseconfig --help' in order to see other
### supported mouse type and make appropriate change
### NOTE: You will need to run 'mouseconfig' manually
### after installation if you have a non-ps/2 mouse
### and are installing X, as a ps/2 mouse is setup
### by default
#mouse generic --device ttyS0
mouse generic3ps/2

### Firewall Configuration
### options are high, medium, and disabled
# firewall --high --trust eth0 --ssh --port 1234:udp
firewall --disabled


### Time Zone Configuration
### Will get set to 'US/Eastern' if ZONE is missing
### from /etc/sysconfig/clock or if file is missing entirely
timezone --utc America/New_York

### X Configuration
### Will skip X configuration
### You may wish to run Xconfigurator manually after system installation
skipx
### You can uncomment and modify this line if you know the X configuration for
your system
#xconfig --server "SVGA" --monitor "viewsonic g773" --depth 16 --resolution
800x600 --defaultdesktop=GNOME  --startxonboot --card "Matrox Millennium"
--videoram 1024

### Root Password Designation
### e.g. 'rootpw ThisIsThePassword' will get root's password to
### "ThisIsThePassword"
rootpw MyWordHere 
#rootpw --iscrypted g.UJ.RQeOV3Bg

### Reboot system after installation complete
#reboot

### Authorization Configuration
auth --useshadow --enablemd5

### Boot Loader Configuration
### GRUB is default bootloader
### lilo command has been replaced with bootloader
bootloader --location=mbr
#bootloader --location=mbr --append hdd=ide-scsi --password=GRUBpasswd

### Package Designation
### The package names, as well as the groups they are a part of can be
### found in the /RedHat/base/comps file; individual packages can be
### specified by entering their names one per line;
### groups (e.g. 'X Window System') can be specified
### by appending a "@" in front of the group name;
### e.g. '@ X Window System'
%packages
python
gmp
#@ X Window System

### Commands to be run immediately after this file has been parsed
%pre
echo "Kickstart-installed Red Hat Linux `/bin/date`"

### Commands to be run post-installation
%post
echo "Kickstart installation" > /tmp/message

----------end of kickstart file ------------------

Note You need to log in before you can comment on or make changes to this bug.